Subject: [Hubmib] Comments on draft-khermosh-hubmib-epon-mib-00.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 23 Dec 2003 16:59:40 +0200

Here are my comments concerning draft-khermosh-hubmib-epon-mib-00.txt. Please take them into consideration in the process of updating this Internet-Draft. 

Thanks and Regards,

Dan

A. TECHNICAL
A1. The MIB module does not comply to the requirements for an IETF document. It needs to be written and to compile clean in proper SMIv2, and to follow as close as possible the recommendations in http://www.ietf.org/internet-drafts/draft-ietf-ops-mib-review-guidelines-02.txt. 
A2. I do not think that amendments to the MAU MIB should be included in this document. The procedure this Working Group has adopted in similar cases in the past is to amend the MAU MIB and re-issue the RFC. I would however ask for the MAU MIB editor, and the other WG members to comment on this issue on the list.
A3. There are several objects defined in the MIB that seem to be modeled as boolean types. For such objects, using the TruthValue TC is recommended
A4. Many enumerated objects start with value 0. RFC 2578 recommends (but does not require) that integer- valued enumerations start at 1 and be numbered contiguously. I strongly suggest that this recommendation be followed.

B. EDITORIAL - MAJOR
B1. The formatting of the document differs from the standard format recommended for Internet-Drafts. See http://www.ops.ietf.org/mib-boilerplate.me for a formatting example
B2. Abstract - I think that the scope of the MIB is not that much on managing EPONs, but rather devices and interfaces that conform to the EPON standards
B3. Need to add a section that relates this MIB to other relevant MIB modules: The Interfaces MIB, the Ethernet-like Interfaces MIB, and the Generic EFM MIB
B4. Need to add a section describing the structure of the MIB
B5. Need to add a security section
B6. Need to add an Intellectual Property Section
B7. References need to be divided in separate Normative References and Informative References sections. SNMP references need to be included. See http://www.ops.ietf.org/mib-boilerplate.html
B8. All references need to be included in REFERENCE clauses, not in DESCRIPTION clauses

C. EDITORIAL - MINOR
C1. It is not clear what is meant by the following phrase in the Overview section: 'The document is contains the registers defined according to the IEEE 802.3ah Draft 2.0 Annex 30A and partitioned accordingly.'